Name:           python-bluesky-widgets
Version:        0.0.17
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Toolbox of widgets for visualizing streaming data

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/bluesky/bluesky-widgets
Source:         %{pypi_source bluesky_widgets}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bluesky-widgets' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bluesky-widgets
Summary:        %{summary}

%description -n python3-bluesky-widgets %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-bluesky-widgets complete,examples,jupyter,pyqt5,pyside2


%prep
%autosetup -p1 -n bluesky_widgets-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x complete,examples,jupyter,pyqt5,pyside2


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bluesky-widgets -f %{pyproject_files}


%changelog
%autochangelog